%define plymouthdaemon_execdir /sbin
%define plymouthclient_execdir /bin
%define plymouth_libdir /%{_lib}

%define _libexecdir %{_prefix}/libexec

%define lib_major 4
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

Summary:	Graphical Boot Animation and Logger
Name:		plymouth
Version:	0.9.2
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Boot and Init
URL:		 http://freedesktop.org/software/plymouth/releases
Source0:	http://freedesktop.org/software/plymouth/releases/%{name}-%{version}.tar.bz2
Source1:	boot-duration
Source2:	charge.plymouth
Patch0001:	0001-systemd-Allow-specifying-unit-dir-to-configure.patch
Patch0002:	0002-drm-assume-driver-doesn-t-support-mapping-console.patch
Patch0003:	0003-drm-merge-ply-renderer-generic-driver.c-to-plugin.c.patch
Patch0004:	0004-drm-don-t-try-to-draw-to-fbcon-on-unmap.patch
Patch0005:	0005-drm-free-drm-mode-resources-object.patch
Patch0006:	0006-drm-rename-buffer-to-output_buffer.patch
Patch0007:	0007-pixel-buffer-add-ability-track-opaqueness.patch
Patch0008:	0008-pixel-buffer-Optimize-filling-with-opaque-buffers.patch
Patch0009:	0009-ply-image-Don-t-do-alpha-pre-multiplication-for-opaq.patch
Patch0010:	0010-script-Don-t-draw-backgrounds-if-they-re-obscured.patch
Patch0011:	0011-drm-fix-crasher-in-unload_backend.patch
Patch0012:	0012-animation-throbber-allow-calling-stop-after-animatio.patch
Patch0013:	0013-renderer-track-activeness.patch
Patch0014:	0014-keyboard-track-activeness.patch
Patch0015:	0015-keyboard-track-activeness.patch
Patch0016:	0016-pixel-display-add-getters-for-renderer-data.patch
Patch0017:	0017-device-manager-drop-seat-abstraction.patch
Patch0018:	0018-device-manager-decouple-local-console-from-output-de.patch
Patch0019:	0019-device-manager-force-details-if-serial-consoles-are.patch
Patch0020:	0020-boot-splash-don-t-crash-in-free-if-module-not-loaded.patch
Patch0021:	0021-pixel-buffer-use-double-instead-of-float-for-scale-f.patch
Patch0022:	0022-splash-core-drop-last-vestigates-of-ply_seat_t.patch
Patch0023:	0023-pixel-buffer-add-the-concept-of-a-device-scale.patch
Patch0024:	0024-drm-set-a-device-scale-of-2-on-HiDPI.patch
Patch0025:	0025-two-step-fix-drawing-of-background-image.patch
Patch0026:	0026-x11-allow-testing-the-hidpi-support-code.patch
Patch0027:	0027-label-add-support-for-HiDPI.patch
Patch0028:	0028-libply-unify-get_device_scale-method-in-library.patch
Patch0029:	0029-populate-initrd-support-theme-subfolders.patch
Patch0030:	0030-device-manager-use-device-timeout-instead-of-udev-co.patch
Patch0031:	0031-Revert-populate-initrd-support-theme-subfolders.patch
Patch0032:	0032-device-manager-Don-t-add-local-console-to-terminals-.patch
Patch0033:	0033-main-show-cursor-on-crash.patch
Patch0034:	0034-plymouth-populate-initrd-fix-THEME_OVERRIDE-with-emp.patch
Patch0035:	0035-two-step-don-t-tank-in-updates-mode-when-there-s-no-.patch
Patch0036:	0036-script-only-support-one-message-at-a-time.patch
Patch0037:	0037-device-manager-activate-new-renderers-after-adding-t.patch
Patch0038:	0038-plugins-unset-draw-handler-when-freeing-view.patch
Patch0039:	0039-plugins-free-views-that-can-t-load.patch
Patch0040:	0040-plugins-load-view-of-hot-plugged-displays-immediatel.patch
Patch0041:	0041-details-update-new-views-with-current-boot-buffer.patch
Patch0042:	0042-main-make-sure-to-reshow-prompts-when-new-display-is.patch
Patch0043:	0043-device-manager-fix-use-after-free.patch
Patch0044:	0044-text-add-view-for-new-text-displays.patch
Patch0045:	0045-main-call-show_messages-after-the-splash-is-assigned.patch
Patch0046:	0046-configure-tweak-defaults-to-be-more-systemd-friendly.patch
Patch0047:	0047-text-don-t-draw-if-not-animating.patch
Patch0048:	0048-terminal-always-open-terminal-in-non-blocking-mode.patch
Patch0049:	0049-device-manager-probe-existing-DRM-devices-at-startup.patch
Patch0050:	0050-drm-don-t-pick-up-drm-master-implicitly.patch
Patch0051:	0051-terminal-refresh-geometry-after-drm-device-arrives.patch
Patch0052:	0052-logger-stop-using-carriage-returns.patch
Patch0053:	0053-build-goo-don-t-install-systemd-units-during-distche.patch
Patch0054:	0054-systemd-units-Fix-uninstall-script.patch
Patch0055:	0055-configure-switch-to-tar.xz-instead-tar.bz2.patch
Patch0056:	0056-libply-fix-HiDPI-detection.patch
Patch0057:	0057-libply-main-Add-device-scale-setting.patch
Patch0058:	0058-main-support-plymouth.force-scale-on-the-kernel-comm.patch
Patch0059:	0059-build-goo-make-udev-support-build-time-optional.patch
Patch0060:	0060-device-manager-dont-pass-terminal-as-renderer-device.patch
Patch0061:	0061-device-manager-handle-NULL-renderer-better.patch
Patch0062:	0062-renderer-export-device-name-from-plugin.patch
Patch0063:	0063-configure-don-t-look-for-libudev-when-without-udev-i.patch
Patch0064:	0064-drm-implement-get_display_name.patch
Patch0065:	0065-x11-implement-get_display_name.patch

# PATCH-OPENSUSE -- Restore suspend / resume state (needed for suspend package)
Patch500:	plymouth-restore-suspend.patch
# Fix complaints about ply_logger_is_tracing_enabled being undefined
Patch501:	 plymouth-0.8.9-export-ply_logger_is_tracing_enabled.patch
# PATCH-OPENSUSE -- Handle correctly multiple displays with different sizes
Patch502:	 plymouth-fix-window-size.patch

# Local patches
Patch1000:	1001-device_manager-ignore-drm-devices-when-kernel-modese.patch
Patch1001:	1002-main-allow-the-device-timeout-to-be-overridden-on-th.patch

Requires(pre):	 filesystem >= 2.1.9-18
BuildRequires:	 docbook-style-xsl
BuildRequires:	 docbook-dtd45-xml
BuildRequires:	 gtk3-devel
BuildRequires:	 libdrm-devel
BuildRequires:	 pango-devel
BuildRequires:	 png-devel
BuildRequires:	 systemd-devel
BuildRequires:	 udev-devel
BuildRequires:	 xsltproc
Obsoletes:	 plymouth-utils < 0.8.6.1-14
Conflicts:	 mageia-theme-Default < 1.5.0.52

%description
Plymouth provides an attractive graphical boot animation in
place of the text messages that normally get shown.  Text
messages are instead redirected to a log file for viewing
after boot.

%package	system-theme
Group:		System/Boot and Init
Summary:	Plymouth default theme
Requires:	plymouth(system-theme)
Requires:	plymouth = %{version}-%{release}

%description	system-theme
This metapackage tracks the current distribution default theme.

%package -n	%{lib_name}
Summary: 	Plymouth libraries
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the libply and libplybootsplash libraries
used by Plymouth.

%package -n	%{lib_name_devel}
Summary: 	Libraries and headers for writing Plymouth splash plugins
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the libply and libplybootsplash libraries
and headers needed to develop 3rd party splash plugins for Plymouth.

%package	scripts
Group:		System/Boot and Init
Summary:	Plymouth related scripts
Requires:	mkinitrd >= 6.0.92-6mdv
Requires:	plymouth = %{version}-%{release}

%description	scripts
This package contains scripts that help integrate Plymouth with
the system.

%package	plugin-label
Group:		System/Boot and Init
Summary:	Plymouth label plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-label
This package contains the label control plugin for
Plymouth. It provides the ability to render text on
graphical boot splashes using pango and cairo.

%package	plugin-fade-throbber
Group:		System/Boot and Init
Summary:	Plymouth "Fade-Throbber" plugin
Requires:	%{lib_name} = %{version}-%{release}

%description	plugin-fade-throbber
This package contains the "Fade-In" boot splash plugin for
Plymouth. It features a centered image that fades in and out
while other images pulsate around during system boot up.

%package	plugin-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-script
This package contains the "Script" plugin for Plymouth.

%package	theme-script
Group:		System/Boot and Init
Summary:	Plymouth "Script" theme
Requires:	%{name}-plugin-script = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-script
This package contains the "Script" boot splash theme for
Plymouth.

%package	theme-fade-in
Group:		System/Boot and Init
Summary:	Plymouth "Fade-In" theme
Requires:	%{name}-plugin-fade-throbber = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-fade-in
This package contains the "Fade-In" boot splash theme for
Plymouth. It features a centered logo that fades in and out
while stars twinkle around the logo during system boot up.

%package	plugin-throbgress
Group:		System/Boot and Init
Summary:	Plymouth "Throbgress" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-throbgress
This package contains the "throbgress" boot splash plugin for
Plymouth. It features a centered logo and animated spinner that
spins repeatedly while a progress bar advances at the bottom of
the screen.

%package	theme-spinfinity
Group:		System/Boot and Init
Summary:	Plymouth "Spinfinity" theme
Requires:	%{name}-plugin-throbgress = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-spinfinity
This package contains the "Spinfinity" boot splash theme for
Plymouth. It features a centered logo and animated spinner that
spins in the shape of an infinity sign.

%package	theme-spinner
Group:		System/Boot and Init
Summary:	Plymouth "Spinner" theme
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-spinner
This package contains the "Spinner" boot splash theme for
Plymouth.

%package	plugin-space-flares
Group:		System/Boot and Init
Summary:	Plymouth "space-flares" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-space-flares
This package contains the "space-flares" boot splash plugin for
Plymouth. It features a corner image with animated flares.

%package	theme-solar
Group:		System/Boot and Init
Summary:	Plymouth "Solar" theme
Requires:	%{name}-plugin-space-flares = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-solar
This package contains the "Solar" boot splash theme for
Plymouth. It features a blue flamed sun with animated solar flares.

%package	plugin-two-step
Group:		System/Boot and Init
Summary:	Plymouth "two-step" plugin
Requires:	%{lib_name} = %{version}-%{release}
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-two-step
This package contains the "two-step" boot splash plugin for
Plymouth. It features a two phased boot process that starts with
a progressing animation synced to boot time and finishes with a
short, fast one-shot animation.

%package	theme-charge
Group:		System/Boot and Init
Summary:	Plymouth "Charge" plugin
Requires:	%{name}-plugin-two-step = %{version}-%{release}
Requires(post):	plymouth-scripts = %{version}-%{release}

%description	theme-charge
This package contains the "charge" boot splash theme for
Plymouth. It features the shadowy hull of a logo charge up and
and finally burst into full form.

%package	theme-glow
Group:		System/Boot and Init
Summary:	Plymouth "Glow" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-two-step = %{version}-%{release}

%description	theme-glow
This package contains the "Glow" boot splash theme for Plymouth.

%package	plugin-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "tribar" plugin
Requires:	plymouth-plugin-label = %{version}-%{release}

%description	plugin-tribar
This package contains the "tribar" boot splash plugin for
Plymouth.

%package	theme-tribar
Group:		System/Kernel and hardware
Summary:	Plymouth "Tribar" plugin
Requires(post):	plymouth-scripts  = %{version}-%{release}
Requires:	plymouth-plugin-tribar = %{version}-%{release}

%description	theme-tribar
This package contains the "Tribar" boot splash theme for Plymouth.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
export CONFIGURE_TOP=`pwd`

mkdir -p system
cd system
%configure2_5x \
	--enable-tracing \
	--with-logo=%{_datadir}/icons/large/%{_real_vendor}.png \
	--with-background-start-color-stop=0x0073B3 \
	--with-background-end-color-stop=0x00457E \
	--with-background-color=0x3391CD \
	--disable-gdm-transition \
	--enable-systemd-integration \
	--without-rhgb-compat-link \
	--with-system-root-install \
	--with-release-file=/etc/mageia-release \
	--enable-pango \
	--enable-gtk=no

%make
cd ..

%install
mkdir -p %{buildroot}/usr/lib/systemd/system/{sysinit,poweroff,halt,kexec,reboot,multi-user}.target.wants
ln -s ../plymouth-start.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-read-write.service %{buildroot}/usr/lib/systemd/system/sysinit.target.wants/
ln -s ../plymouth-poweroff.service %{buildroot}/usr/lib/systemd/system/poweroff.target.wants/
ln -s ../plymouth-halt.service %{buildroot}/usr/lib/systemd/system/halt.target.wants/
ln -s ../plymouth-kexec.service %{buildroot}/usr/lib/systemd/system/kexec.target.wants/
ln -s ../plymouth-reboot.service %{buildroot}/usr/lib/systemd/system/reboot.target.wants/
ln -s ../plymouth-quit.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/
ln -s ../plymouth-quit-wait.service %{buildroot}/usr/lib/systemd/system/multi-user.target.wants/

%makeinstall_std -C system

find %{buildroot} -name \*.a -delete -o -name \*.la -delete

mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}/sbin/plymouthd %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}/bin/plymouth %{buildroot}%{_bindir}
touch %{buildroot}%{_datadir}/plymouth/themes/default.plymouth

mkdir -p %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/
ln -sf %{_datadir}/mga/backgrounds/default.png %{buildroot}/%{_datadir}/%{name}/themes/Mageia-Default/background.png

mkdir -p %{buildroot}%{_localstatedir}/lib/plymouth
cp %{SOURCE1} %{buildroot}%{_datadir}/plymouth/default-boot-duration
touch %{buildroot}%{_localstatedir}/lib/plymouth/{boot,shutdown}-duration

# Add charge
mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{SOURCE2} %{buildroot}%{_datadir}/plymouth/themes/charge
cp %{buildroot}%{_datadir}/plymouth/themes/glow/{box,bullet,entry,lock}.png %{buildroot}%{_datadir}/plymouth/themes/charge

%postun
if [ $1 -eq 0 ]; then
    rm -f %{_libdir}/plymouth/default.so
fi

%define theme_scripts() \
%post -n %{name}-theme-%{1} \
if [ -x %{_sbindir}/plymouth-set-default-theme ]; then \
  export LIB=%{_lib} \
  if [ $1 -eq 1 ]; then \
      %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
  else \
      THEME=$(%{_sbindir}/plymouth-set-default-theme) \
      if [ "$THEME" == "text" -o "$THEME" == "%{1}" ]; then \
          %{_sbindir}/plymouth-set-default-theme --rebuild-initrd %{1} \
      fi \
  fi \
fi \
\
%postun -n %{name}-theme-%{1} \
export LIB=%{_lib} \
if [ $1 -eq 0 -a -x %{_sbindir}/plymouth-set-default-theme ]; then \
    if [ "$(%{_sbindir}/plymouth-set-default-theme)" == "%{1}" ]; then \
        %{_sbindir}/plymouth-set-default-theme --reset --rebuild-initrd \
    fi \
fi \


%theme_scripts spinfinity
%theme_scripts fade-in
%theme_scripts solar
%theme_scripts charge
%theme_scripts glow
%theme_scripts script


%files
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/plymouth
%dir %{_datadir}/plymouth
%dir %{_datadir}/plymouth/themes
%{_datadir}/plymouth/default-boot-duration
%dir %{_localstatedir}/lib/plymouth
%{_sbindir}/plymouthd
%{_bindir}/plymouth
%{_unitdir}/plymouth-*.service
%{_unitdir}/systemd-ask-password-plymouth.path
%{_unitdir}/systemd-ask-password-plymouth.service
%{_unitdir}/*.wants/plymouth-*.service
%{_libdir}/plymouth/details.so
%{_libdir}/plymouth/text.so
%{_mandir}/man1/plymouth.1*
%dir %{_libdir}/plymouth/renderers
%{_libdir}/plymouth/renderers/drm*
%{_libdir}/plymouth/renderers/frame-buffer*
%ghost %{_datadir}/plymouth/themes/default.plymouth
%{_datadir}/plymouth/plymouthd.defaults
%{_datadir}/plymouth/themes/details
%{_datadir}/plymouth/themes/text
%{_localstatedir}/spool/plymouth
%ghost %{_localstatedir}/lib/plymouth/shutdown-duration
%ghost %{_localstatedir}/lib/plymouth/boot-duration
%{_mandir}/man8/*
%{_datadir}/%{name}/themes/Mageia-Default/background.png

%files -n %{lib_name_devel}
%{plymouth_libdir}/libply.so
%{_libdir}/libply-boot-client.so
%{_libdir}/libply-splash-graphics.so
/%{_lib}/libply-splash-core.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/plymouth-1

%files -n %{lib_name}
%{plymouth_libdir}/libply.so.%{lib_major}*
%{_libdir}/libply-boot-client.so.%{lib_major}*
%{_libdir}/libply-splash-graphics.so.%{lib_major}*
/%{_lib}/libply-splash-core.so.%{lib_major}*
%dir %{_libdir}/plymouth

%files scripts
%{_sbindir}/plymouth-set-default-theme
%{_libexecdir}/plymouth
%{_mandir}/man1/plymouth-set-default-theme.1*

%files plugin-label
%{_libdir}/plymouth/label.so

%files plugin-fade-throbber
%{_libdir}/plymouth/fade-throbber.so

%files theme-fade-in
%{_datadir}/plymouth/themes/fade-in

%files plugin-throbgress
%{_libdir}/plymouth/throbgress.so

%files plugin-script
%{_libdir}/plymouth/script.so

%files theme-script
%{_datadir}/plymouth/themes/script

%files theme-spinfinity
%{_datadir}/plymouth/themes/spinfinity

%files theme-spinner
%{_datadir}/plymouth/themes/spinner

%files plugin-space-flares
%{_libdir}/plymouth/space-flares.so

%files theme-solar
%{_datadir}/plymouth/themes/solar

%files plugin-two-step
%{_libdir}/plymouth/two-step.so

%files plugin-tribar
%{_libdir}/plymouth/tribar.so

%files theme-tribar
%{_datadir}/plymouth/themes/tribar

%files theme-charge
%{_datadir}/plymouth/themes/charge

%files theme-glow
%{_datadir}/plymouth/themes/glow

%files system-theme


%changelog
* Sun Mar 19 2017 martinw <martinw> 0.9.2-9.mga6
+ Revision: 1093663
- use frame buffer devices when kernel modesetting is disabled
  - avoids fallback to text mode (grey screen + three question marks) as
    reported in mga#19539, mga#19642, mga#19890, mga#19984, mga#20429
- add option to override device timeout on kernel command line
  - for further test/debug if there are still problems

* Wed Mar 15 2017 ghibo <ghibo> 0.9.2-8.mga6
+ Revision: 1092656
- Sync with current plymouth git (fixes bugs, HiDPI detection, etc.).

* Wed Sep 14 2016 barjac <barjac> 0.9.2-7.mga6
+ Revision: 1052915
- fix conflict

* Wed Sep 14 2016 barjac <barjac> 0.9.2-6.mga6
+ Revision: 1052897
- remove background.png and use symlink to default.png to be provided by mageia-theme

* Sat Jul 23 2016 tmb <tmb> 0.9.2-5.mga6
+ Revision: 1043447
- sync in more upstream fixes

* Fri Feb 12 2016 umeabot <umeabot> 0.9.2-4.mga6
+ Revision: 958535
- Mageia 6 Mass Rebuild

* Sun Jan 17 2016 neoclust <neoclust> 0.9.2-3.mga6
+ Revision: 925012
- Disable P503: Need more tests

* Fri Jan 15 2016 luigiwalser <luigiwalser> 0.9.2-2.mga6
+ Revision: 923189
- add latest fixes from upstream git

* Fri Jan 15 2016 luigiwalser <luigiwalser> 0.9.2-1.mga6
+ Revision: 923177
- 0.9.2 (partial sync with omdv)
- library major is now 4

* Fri Apr 17 2015 tmb <tmb> 0.8.6.1-13.mga5
+ Revision: 820381
- systemd: make sure plymouth-start never gets killed
- systemd: start after udev triggers to avoid race
- boot-splash: avoid crash if plugin doesn't support system updates
- main: fix debug message
- main: Try to own socket before anything else
- main: silently succeed if plymouthd is started a second time
- service: start plymouthd unconditionally

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6.1-12.mga5
+ Revision: 745961
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.6.1-11.mga5
+ Revision: 687683
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.6.1-10.mga4
+ Revision: 525823
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.8.6.1-9.mga4
+ Revision: 434657
- rebuild for new libpng

* Wed Apr 24 2013 colin <colin> 0.8.6.1-8.mga3
+ Revision: 411065
- Refer to systemd units by their current name.

* Mon Jan 21 2013 barjac <barjac> 0.8.6.1-7.mga3
+ Revision: 390354
- update group
- remove one duplicate group tag

* Mon Jan 14 2013 colin <colin> 0.8.6.1-6.mga3
+ Revision: 385828
- Do not ship /var/run/plymouth. Code creates it when needed

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 21 2012 tv <tv> 0.8.6.1-4.mga3
+ Revision: 333659
- drop requires on desktop-common-data (mga#8455)

* Wed Sep 26 2012 blino <blino> 0.8.6.1-3.mga3
+ Revision: 298508
- add back suspend/resume states for suspend-utils (from Frederic Crozat, openSUSE)

* Sat Jul 21 2012 colin <colin> 0.8.6.1-2.mga3
+ Revision: 273158
- Update for usrmove

* Mon Jul 16 2012 colin <colin> 0.8.6.1-1.mga3
+ Revision: 271302
- New version: 0.8.6.1

* Sat Jul 07 2012 colin <colin> 0.8.5.1-1.mga3
+ Revision: 268663
- New version: 0.8.5.1
- Drop upstream patches
- Drop unneeded patches
- Add patches from git master
- Conflict with older systemd-units (as plymouth .service files have moved here)

* Mon Dec 19 2011 anssi <anssi> 0.8.4-0.20111214.3.mga2
+ Revision: 184123
- rediff move-mkinitrd-functions-under-root-lib.patch
- do not fail to populate initrd with dracut >= 014 when legacy mkinitrd
  is not installed (reported by Olivier Blin and Thomas Backlund,
  dracut-functions-path.patch)

* Thu Dec 15 2011 colin <colin> 0.8.4-0.20111214.1.mga2
+ Revision: 182097
- Update to new plymouth git snapshot
- Drop tty-lock patch (upstream)
- Drop retain-vt patch (not needed + buggy - value could only be true || uninitialised)
- Drop details-not-available patch (upstream)
- Drop ttyp-OPOST-ONLCR patch (upstream)
- Drop smarter_init_detection patch (upstream)
- Drop change_socket_path patch (upstream da723a30..3ec007a4)
- Drop change_socket_path-fix patch (upstream)
- Drop initrd-absolute-path patch (upstream)
- Drop boot-server-don-t-print-error-when-client-goes-away patch (upstream)
- Drop redirect-dev-null patch (upstream)
- Drop libpng14 patch (upstream)
- Only apply ulibc patches when building with ulibc
- Enable systemd integration
- Drop the use of tty7 and use tty1 like Fedora (mga#3430)

* Sat Sep 10 2011 fwang <fwang> 0.8.3-13.mga2
+ Revision: 142226
- fix file list
- fix build with latest png
- rebuild for  new libpng

* Thu Mar 24 2011 boklm <boklm> 0.8.3-12.mga1
+ Revision: 76199
- rebuild for bug #497

* Mon Mar 21 2011 blino <blino> 0.8.3-11.mga1
+ Revision: 75299
- do not write in /null from plymouth-set-default-theme

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-10.mga1
+ Revision: 49216
- Fix patch in %%post

* Tue Feb 08 2011 dmorgan <dmorgan> 0.8.3-9.mga1
+ Revision: 48988
- Fix buildrequire
  Use mageia icon
- Use /etc/release
- imported package plymouth

